Name: alterator-zabbix-node
Version: 1.0
Release: alt1.M51.1

Summary: Deployment tool for a Zabbix node
License: GPL
Group: System/Configuration/Other
Packager: Paul Wolneykien <manowar@altlinux.ru>
BuildArch: noarch

Source: %name-%version.tar.gz

BuildPreReq: help2man

Requires: zabbix-phpfrontend-apache2 zabbix-phpfrontend-php5 zabbix-phpfrontend-engine apache2-mod_php5

%description
This package contains utilities for configuration of Zabbix nodes based
on offline prepared configuration packages.

%package common
Summary: Library files for Zabbix node configuration programs
Group: System/Configuration/Other

%description common
Library files for Zabbix node configuration programs.

%package -n grow-zabbix-node
Summary: Tool for preparing a Zabbix node configuration package offline
Group: System/Configuration/Other
Requires: grow-zabbix-node-db
Requires: %name-common

%description -n grow-zabbix-node
Grows a complete configuration of a Zabbix node including database
contents and configuration files from an initial database dump and
a simple XML configuration file.

%package -n grow-zabbix-node-examples
Summary: Example base configuration files for grow-zabbix-node
Group: System/Configuration/Other

%description -n grow-zabbix-node-examples
Example base configuration files for grow-zabbix-node program.

%package -n grow-zabbix-node-mysql
Summary: Zabbix DB dump generation transformers for MySQL
Group: System/Configuration/Other
Requires: grow-zabbix-node
Provides: grow-zabbix-node-db

%description -n grow-zabbix-node-mysql
The set of XSLTs for "unfolding" of a rather simple XML configuration
file to the corresponding Zabbix DB dump of a DM node.

%package mysql
Summary: Deployment tool for a Zabbix node (Zabbix-MySQL dependencies)
Group: System/Configuration/Other
Requires: %name zabbix-server-mysql

%description mysql
Grows a complete configuration of a Zabbix node including database
contents and configuration files from an initial database dump and
a simple XML configuration file.

This package has dependencies for the MySQL verision of the Zabbix
server.

%prep
%setup

%build
%make_build

%install
%makeinstall

%files common
%_bindir/zabbix-sh-functions

%files
%_sbindir/alterator-zabbix-node-helper
%_mandir/man1/alterator-zabbix-node-helper.1.gz

%files -n grow-zabbix-node
%_bindir/grow-zabbix-node
%_mandir/man1/grow-zabbix-node.1.gz
%dir %_datadir/grow-zabbix-node
%dir %_datadir/grow-zabbix-node/xslt
%_datadir/grow-zabbix-node/xslt/extract-map-filenames.xslt
%_datadir/grow-zabbix-node/xslt/extract-metadata.xslt
%_datadir/grow-zabbix-node/xslt/includes.xslt
%_datadir/grow-zabbix-node/xslt/insert.xslt
%_datadir/grow-zabbix-node/xslt/reset.xslt
%_datadir/grow-zabbix-node/xslt/update-node.xslt
%dir %_datadir/grow-zabbix-node/refconf
%_datadir/grow-zabbix-node/refconf/zabbix.conf.php
%_datadir/grow-zabbix-node/refconf/zabbix_agentd.conf
%_datadir/grow-zabbix-node/refconf/zabbix_server.conf

%files -n grow-zabbix-node-mysql
%_datadir/grow-zabbix-node/xslt/mysql-includes.xslt
%_datadir/grow-zabbix-node/xslt/mysql-insert.xslt
%_datadir/grow-zabbix-node/xslt/mysql-reset.xslt
%_datadir/grow-zabbix-node/xslt/mysql-update-node.xslt

%files -n grow-zabbix-node-examples
%dir %_docdir/grow-zabbix-node
%dir %_docdir/grow-zabbix-node/examples
%_docdir/grow-zabbix-node/examples/Moscow

%files mysql

%changelog
* Tue Oct 26 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1.M51.1
- Release 1 for the branch 5.1.

* Tue Oct 26 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Use attributes/tags to specify the name of a host group.
- Add option for character set to use loading a DB dump (MySQL).

* Sat Oct 23 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1
- Initial version for Sisyphus.
